aboutsummaryrefslogtreecommitdiff
path: root/stow/ranger/.config
diff options
context:
space:
mode:
authorInigoGutierrez <inigogf@disroot.org>2024-07-19 10:55:49 +0200
committerInigoGutierrez <inigogf@disroot.org>2024-07-19 10:55:49 +0200
commitadfdb44fca2950d5ff4d3fbb357506d36feae885 (patch)
treee3cdd5c6d8c7687f8401a53b44cca9694b5d491f /stow/ranger/.config
parent9b667c9143928ca93b40250b18cbf628ba968ab6 (diff)
downloadconfigs-master.tar.gz
configs-master.zip
vie 19 jul 2024 10:55:49 CESTHEADmaster
Diffstat (limited to 'stow/ranger/.config')
-rwxr-xr-xstow/ranger/.config/ranger/scope.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/stow/ranger/.config/ranger/scope.sh b/stow/ranger/.config/ranger/scope.sh
index 538f044..7819266 100755
--- a/stow/ranger/.config/ranger/scope.sh
+++ b/stow/ranger/.config/ranger/scope.sh
@@ -109,6 +109,10 @@ handle_extension() {
python -m json.tool -- "${FILE_PATH}" && exit 5
;;
+ hjson)
+ cat "${FILE_PATH}" && exit 5
+ ;;
+
## Direct Stream Digital/Transfer (DSDIFF) and wavpack aren't detected
## by file(1).
dff|dsf|wv|wvc)
@@ -315,7 +319,7 @@ handle_mime() {
exit 1;;
## Text
- text/* | */xml)
+ text/* | */xml | */javascript)
## Syntax highlight
if [[ "$( stat --printf='%s' -- "${FILE_PATH}" )" -gt "${HIGHLIGHT_SIZE_MAX}" ]]; then
exit 2